Read keywords
curl --request GET \
--url https://wisepim.com/api/public/v1/keywords/{resource_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/keywords/{resource_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/keywords/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"term": "<string>",
"intent": "<string>",
"kw_type": "<string>",
"locale": "<string>",
"target_fields": "<unknown>",
"priority": 123,
"notes": "<string>",
"categories": [
123
],
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Read keywords
GET /keywords/. Required scopes: keywords:read.
GET
/
api
/
public
/
v1
/
keywords
/
{resource_id}
Read keywords
curl --request GET \
--url https://wisepim.com/api/public/v1/keywords/{resource_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/keywords/{resource_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/keywords/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"term": "<string>",
"intent": "<string>",
"kw_type": "<string>",
"locale": "<string>",
"target_fields": "<unknown>",
"priority": 123,
"notes": "<string>",
"categories": [
123
],
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Path Parameters
Response
OK
Maximum string length:
255Classified search intent (from GSC query analysis).
Maximum string length:
16Positive = a term to target/include. Negative = a term to AVOID in generated content.
Maximum string length:
16Locale code this keyword applies to (e.g. 'nl', 'en-US'). Empty = applies to all locales.
Maximum string length:
16Subset of content fields this keyword applies to (title/description/short_description/seo_meta/attributes). Empty list = applies to all fields.
Relative importance; higher sorts first and weighs more.
If set, the keyword only applies to products in any of these categories. Empty = applies to every product.

